Subject: Re: [PATCH 2/4] perf: jevents: Program to convert JSON file to C style file

From: Andi Kleen <[email-masked]>
Date: Wed, 27 May 2015 07:40:07 -0700

> So we build tables of all models in the architecture, and choose
> matching one when compiling perf, right?  Can't we do that when
> building the tables?  IOW, why don't we check the VFM and discard
> non-matching tables?  Those non-matching tables are also needed?

We build it for all cpus in an architecture, not all architectures.
So e.g. for an x86 binary power is not included, and vice versa.
It always includes all CPUs for a given architecture, so it's possible
to use the perf binary on other systems than just the one it was 
build on.

-andi

-- 
[email-masked] -- Speaking for myself only